Bug 1252934 - RFE: mpfr without TLS support for GC
RFE: mpfr without TLS support for GC
Status: NEW
Product: Fedora
Classification: Fedora
Component: mpfr (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Cahyna
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 10:27 EDT by Jerry James
Modified: 2018-02-25 17:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-08-12 10:27:40 EDT
Description of problem:
Macaulay2 sometimes crashes with backtraces that include calls into mpfr.  The Macaulay2 developers identified the problem:

  "Compiling mpfr with thread local variables is incompatible with libgc,
   because some libgc pointers are cached in the variables
   gmpfr_cache_const_pi, __gmpfr_cache_const_log2, __gmpfr_cache_const_euler,
   __gmpfr_cache_const_catalan."

They say that Macaulay2 must be linked with an mpfr that has been configured with --disable-thread-safe.  We do not have such a library in Fedora.  Is it possible that two versions of the mpfr library could be built, the optimized one as now, and also perhaps libmpfr-gc.so.<version>?

Note that this will also be a problem for any other application that uses both mpfr and gc.  (Not that I know that there are any such applications...)

Version-Release number of selected component (if applicable):
mpfr-3.1.2-8.fc22.x86_64

How reproducible:
Sometimes.

Steps to Reproduce:
1. Run the Macaulay2 test suite
2.
3.

Actual results:
Sometimes the test suite completes normally, sometimes it segfaults with a backtrace that includes mpfr calls.

Expected results:
Normal completion, always.

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2017-07-21 11:41:37 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Pavel Cahyna 2018-02-25 17:18:19 EST
Is this still needed? If yes, is there a prior art for this in other distributions?

Note You need to log in before you can comment on or make changes to this bug.